> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.makeswift.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.makeswift.com/_mcp/server.

# List Pages

GET https://api.makeswift.com/v6/pages

Returns a list of pages for a site.

Reference: https://docs.makeswift.com/developer/api-reference/rest/pages/list-pages

## Authentication

- `x-api-key` header (required) — API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

## Request

### Query parameters

- `siteId` (string, required) — The site ID to list pages from.
- `limit` (double, optional, default: 20) — The maximum number of pages to return.
- `startingAfter` (string, optional) — The pagination cursor. This is used to indicate what ID to list from.
- `pathPrefix` (string, optional, default: /) — The filter that limits pages to only those with a pathname that begins with this value.
- `sortBy` (enum, optional, default: path) — The field to sort pages by.
  - Allowed values: `title`, `path`, `description`, `updatedAt`, `createdAt`
- `sortDirection` (enum, optional, default: asc) — The sort direction.
  - Allowed values: `asc`, `desc`
- `includeOffline` (enum, optional, default: false) — The flag that determines whether to include offline pages in the results.
  - Allowed values: `true`, `false`
- `locale` (string, optional) — The locale code to filter pages by.
- `versionRef` (enum, optional, default: ref:draft) — The version reference to retrieve pages from. Defaults to `ref:draft` if not provided. Supported formats: - `ref:draft` - Draft/working version - `ref:live` - Live/published version
  - Allowed values: `ref:live`, `ref:draft`

## Response

### 200

- `object` (enum, required)
  - Allowed values: `list`
- `data` (list of ListPagesV2ResponseBodyDtoDataItems, required)
- `hasMore` (boolean, required) — The flag that indicates whether there are more pages available.

## Errors

### 403 Forbidden Error

Access forbidden.

- `any`

## Types

### ListPagesV2ResponseBodyDtoDataItems

- `object` (enum, required)
  - Allowed values: `page`
- `id` (string, required) — The ID of the page.
- `pathname` (string, required) — The page pathname.
- `canonicalUrl` (string, required, nullable) — The canonical URL of the page.
- `title` (string, required, nullable) — The page title.
- `description` (string, required, nullable) — The page description.
- `socialImageUrl` (string, required, nullable) — The social image URL of the page.
- `sitemapPriority` (double, required, nullable) — The sitemap priority.
- `sitemapFrequency` (enum, required, nullable) — The sitemap update frequency.
  - Allowed values: `always`, `hourly`, `daily`, `weekly`, `monthly`, `yearly`, `never`
- `createdAt` (datetime, required, nullable) — The page creation date and time.
- `updatedAt` (datetime, required, nullable) — The page last update date and time.
- `publishedAt` (datetime, required, nullable) — The page publication date and time.
- `isOnline` (boolean, required) — The flag that indicates whether the page is online.
- `excludedFromSearchEngines` (boolean, required, nullable) — The flag that indicates whether the page is excluded from search.
- `localizations` (list of ListPagesV2ResponseBodyDtoDataItemsLocalizationsItems, required) — The localizations of the page.
- `elements` (any, required) — Always `null` here. Get Page returns the page's element tree with `include=elements`.
- `locale` (string, optional) — The page locale. This defaults to the default locale of the parent site.

### ListPagesV2ResponseBodyDtoDataItemsLocalizationsItems

- `pathname` (string, required) — The pathname of the localization.
- `locale` (string, optional) — The locale of the localization.
- `id` (string, optional) — The ID of the localization.

## Examples

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "object": "page",
      "id": "string",
      "pathname": "furniture",
      "canonicalUrl": "string",
      "title": "string",
      "description": "string",
      "socialImageUrl": "string",
      "sitemapPriority": 0.5,
      "sitemapFrequency": "always",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "publishedAt": "2024-01-15T09:30:00Z",
      "isOnline": true,
      "excludedFromSearchEngines": true,
      "localizations": [
        {
          "pathname": "string",
          "locale": "string",
          "id": "string"
        }
      ],
      "elements": null,
      "locale": "string"
    }
  ],
  "hasMore": true
}
```

**SDK Code**

```python
import requests

url = "https://api.makeswift.com/v6/pages"

querystring = {"siteId":"siteId"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.makeswift.com/v6/pages?siteId=siteId';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.makeswift.com/v6/pages?siteId=siteId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.makeswift.com/v6/pages?siteId=siteId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.makeswift.com/v6/pages?siteId=siteId")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.makeswift.com/v6/pages?siteId=siteId', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.makeswift.com/v6/pages?siteId=siteId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.makeswift.com/v6/pages?siteId=siteId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```